## GeditEncodingsOptionMenu

GeditEncodingsOptionMenu

## Synopsis

                        GeditEncodingsOptionMenuPrivate;
                        GeditEncodingsOptionMenu;
    GtkWidget*          gedit_encodings_option_menu_new     (gboolean save_mode);
    const GeditEncoding* gedit_encodings_option_menu_get_selected_encoding
                                                            (GeditEncodingsOptionMenu *menu);
    void                gedit_encodings_option_menu_set_selected_encoding
                                                            (GeditEncodingsOptionMenu *menu,
                                                             const GeditEncoding *encoding);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkButton
                                           +----GtkOptionMenu
                                                 +----GeditEncodingsOptionMenu

## Implemented Interfaces

GeditEncodingsOptionMenu implements AtkImplementorIface and GtkBuildable.

## Properties

      "save-mode"                gboolean              : Read / Write / Construct

## Description

## Details

### GeditEncodingsOptionMenuPrivate

    typedef struct _GeditEncodingsOptionMenuPrivate GeditEncodingsOptionMenuPrivate;

### GeditEncodingsOptionMenu

    typedef struct _GeditEncodingsOptionMenu GeditEncodingsOptionMenu;

### gedit_encodings_option_menu_new ()

    GtkWidget*          gedit_encodings_option_menu_new     (gboolean save_mode);

`save_mode` : |
Returns : |

### gedit_encodings_option_menu_get_selected_encoding ()

    const GeditEncoding* gedit_encodings_option_menu_get_selected_encoding
                                                            (GeditEncodingsOptionMenu *menu);

`menu` : |
Returns : |

### gedit_encodings_option_menu_set_selected_encoding ()

    void                gedit_encodings_option_menu_set_selected_encoding
                                                            (GeditEncodingsOptionMenu *menu,
                                                             const GeditEncoding *encoding);

`menu` : |
`encoding` : |

## Property Details

### The "`save-mode`" property

      "save-mode"                gboolean              : Read / Write / Construct

Save Mode.

Default value: FALSE